<?xml version="1.0" encoding="UTF-8"?>
<!--
To change this license header, choose License Headers in Project Properties.
To change this template file, choose Tools | Templates
and open the template in the editor.
-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:p="http://primefaces.org/ui">

    <h:head>
        <title>Provide feedback</title>
    </h:head>
    <h:body>
        <h:form>
            <p:messages id="messages" showDetail="true" closable="true">
                <p:autoUpdate />
            </p:messages>
            <p:panel>
                <f:facet name="header">
                    Enter Feedback

                </f:facet>

                <h:panelGrid columns="4">
                    <p:outputLabel id="nameLabel" value="Name:"/>
                    <p:tooltip id="toolTipNameLabel" for="nameLabel" value="Please enter your name"
                                showEffect="clip" hideEffect="explode" position="right"/>
                    <p:inputText id="name" value="#{feedbackController.feedback.name}" maxlength="100">
                        <f:validateRegex pattern="^[a-zA-Z0-9][a-zA-Z0-9' ]*[a-zA-Z0-9]$" />
                    </p:inputText>
                    
                    <p:message for="name" />

                    <p:outputLabel id="emailLabel" value="Email:"/>
                    <p:tooltip id="toolTipEmailLabel" for="emailLabel" value="Please enter your email is mandatory"
                                showEffect="clip" hideEffect="explode" position="right"/>
                    
                    <p:inputText id="email" value="#{feedbackController.feedback.email}" maxlength="100"
                                 requiredMessage="Please enter your email address."
                                 validatorMessage="Invalid email format"
                                 required="true">
                        <f:validateRegex
                            pattern="^[_A-Za-z0-9-\+]+(\.[_A-Za-z0-9-]+)*@[A-Za-z0-9-]+(\.[A-Za-z0-9]+)*(\.[A-Za-z]{2,})$" />

                    </p:inputText>    
                    <p:message for="email" />

                    <p:outputLabel id="contactTypeLabel" value="Contact type"/>
                    <p:tooltip id="toolTipContactTypeLabel" for="contactTypeLabel" value="Please choice your contact type"
                                showEffect="clip" hideEffect="explode" position="right"/>
                    <p:selectOneMenu id="contactTypeId" value="#{feedbackController.feedback.contactType.contactTypeId}">
                        <f:selectItems value="#{contactTypeController.allContactTypes}"/>
                    </p:selectOneMenu>
                    <p:message for="contactTypeId" />

                    <p:outputLabel id="messageLabel" value="Message"/>
                    <p:tooltip id="toolTipMessageLabel" for="messageLabel" value="Please enter your message (max 1000 chars)"
                                showEffect="clip" hideEffect="explode" position="right"/>
                    <p:inputTextarea id="message" value="#{feedbackController.feedback.message}"
                                     autoResize="false" 
                                     requiredMessage="Please enter message."
                                     required="true" rows="10" cols="50" maxlength="1000"
                                     style="resize: none">
                        
                    </p:inputTextarea>
                    <p:message for="message" />


                    
                    <p:commandButton value="Save" validateClient="true"  action="#{feedbackController.save()}"
                                     update="@form"  />



                </h:panelGrid>

            </p:panel> 
        </h:form>
    </h:body>
</html>    

